package com.bocloud.ims.interfaces.h3c;

import com.bocloud.cmp.model.HostOperateModel;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.CloudVendor;
import com.bocloud.ims.entity.resource.Server;
import com.bocloud.ims.entity.resource.ServerConfig;
import com.bocloud.ims.entity.resource.Vdc;

public interface H3cHostService {

	BocloudResult<String> create(HostOperateModel model, RequestContext context);

	BocloudResult remove(Long id, RequestContext context, Server host, CloudVendor vendor);

	BocloudResult shutdown(HostOperateModel model, Long userId, Server server, ServerConfig serverConfig,
			CloudVendor cloudVendor);

	BocloudResult enterMode(HostOperateModel model, Long userId, Server server, CloudVendor cloudVendor);

	BocloudResult exitMode(HostOperateModel model, Long userId, Server server, CloudVendor vendor);
}
